Name:        proggy-clean-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     MIT
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/ProggyClean.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 ProggyCleanCENerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanCENerdFont-Regular.ttf
install -Dm644 ProggyCleanCENerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanCENerdFontMono-Regular.ttf
install -Dm644 ProggyCleanCENerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanCENerdFontPropo-Regular.ttf
install -Dm644 ProggyCleanNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanNerdFont-Regular.ttf
install -Dm644 ProggyCleanNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanNerdFontMono-Regular.ttf
install -Dm644 ProggyCleanNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanNerdFontPropo-Regular.ttf
install -Dm644 ProggyCleanSZNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanSZNerdFont-Regular.ttf
install -Dm644 ProggyCleanSZNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanSZNerdFontMono-Regular.ttf
install -Dm644 ProggyCleanSZNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/ProggyCleanSZNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/ProggyCleanCENerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanCENerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanCENerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanSZNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanSZNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/ProggyCleanSZNerdFontPropo-Regular.ttf
%license "Licence.txt"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
